Subject: bug#46274: 28.0.50; Inconsistent doc for syntax-propertize-function

From: Filipp Gunbin <[email-masked]>
Date: Wed, 03 Feb 2021 23:04:26 +0300

C-h v syntax-propertize-function contains this text:

--8<---------------cut here---------------start------------->8---
The specified function may call `syntax-ppss' on any position
before END, but if it calls `syntax-ppss' on some
position and later modifies the buffer on some earlier position,
then it is its responsibility to call `syntax-ppss-flush-cache' to flush
the now obsolete ppss info from the cache.
--8<---------------cut here---------------end--------------->8---

But (info "(elisp) Syntax Properties") has a different view:

--8<---------------cut here---------------start------------->8---
It is allowed to call ‘syntax-ppss’ on any position before END.
However, it should not call ‘syntax-ppss-flush-cache’; so, it is not
allowed to call ‘syntax-ppss’ on some position and later modify the
buffer at an earlier position.
--8<---------------cut here---------------end--------------->8---

Which is the right one?

Thanks.

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.2.0, NS appkit-2022.20 Version 11.1 (Build 20C69))
 of 2021-02-03 built on fgunbin.local
Repository revision: 20e48b6fd6cade60e468140a66127d326abfb8ff
Repository branch: master
System Description:  macOS 11.1